{% extends 'base.html.twig' %}

{% block content %}
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-6">
            <h1>{{ 'user.login'|trans }}</h1>
            {% if error %}
            <div class="alert alert-danger">
                {{ error.messageKey|trans(error.messageData, 'security') }}
            </div>
            {% endif %}

            {{ form_start(form) }}
            {{ form_row(form.username) }}
            {{ form_row(form.password) }}
            {{ form_row(form.remember_me) }}

            <input type="hidden" name="token" value="{{ csrf_token('authentication') }}"/>
            {# the argument of csrf_token() is an arbitrary string used to generate the token #}

            <button type="submit" class="btn btn-default btn-primary btn-block">{{ 'user.login'|trans }}
                <span class="fa fa-lock"></span>
            </button>
            <br>
            <a href="{{ path('user_register') }}">{{ 'user.no-account'|trans }}</a> |
            <a href="{{ path('user_request_password_reset') }}">{{ 'user.forgot-password'|trans }}</a>
            {{ form_end(form) }}

        </div>
    </div>
</div>
{% endblock %}